%define module Math-GMP

Summary:        High speed arbitrary size integer math
Name:           perl-%{module}
Version:        2.05
Release:        %mkrel 1
License:        GPL
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Math/%{module}-%{version}.tar.bz2
BuildRequires:  perl-devel
BuildRequires:  gmp-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Math::GMP was designed to be a drop-in replacement both for
Math::BigInt and for regular integer arithmetic. Unlike
BigInt,  though,  Math::GMP  uses  the  GNU  gmp  library
for  all of its calculations, as opposed to straight Perl
functions. This can result in speed improvements.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README
%{perl_vendorarch}/*
%{_mandir}/*/*



%changelog
* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.05-1mdv2009.1
+ Revision: 292556
- drop x86_64-only patch, useless now
- update to new version 2.05

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.04-7mdv2009.0
+ Revision: 257815
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.04-6mdv2009.0
+ Revision: 245840
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.04-4mdv2008.1
+ Revision: 152126
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.04-3mdv2008.0
+ Revision: 86600
- rebuild


* Thu Apr 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.04-2mdk
- Apply patch to fix broken testsuite on 64-bit arches (CPAN RT#12751)

* Wed Feb 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.04-1mdk
- 2.04

* Thu Nov 18 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.03-2mdk
- Rebuild for new perl

* Thu Nov 06 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.03-1mdk
- New package

